Subject: ASLA network on internet - when?

From: [email-masked]
Date: 25 Jul 1995 20:34:38 GMT

I recently saw that designetwork, the American Society of Landscape Architect's 
bulletin board service, was going to be connected to the internet somehow - I
think by a WWW page.  Does anyone know when this is going to happen?